org.apache.lucene.index

## Class FieldSortedTermVectorMapper

- java.lang.Object
- - org.apache.lucene.index.TermVectorMapper
  - - org.apache.lucene.index.FieldSortedTermVectorMapper

-     public class FieldSortedTermVectorMapper
      extends TermVectorMapper

  For each Field, store a sorted collection of `TermVectorEntry`s

  This is not thread-safe.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldSortedTermVectorMapper(boolean ignoringPositions, boolean ignoringOffsets, java.util.Comparator comparator)`
    `FieldSortedTermVectorMapper(java.util.Comparator comparator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Comparator` | `getComparator()`
    `java.util.Map` | `getFieldToTerms()` Get the mapping between fields and terms, sorted by the comparator
    `void` | `map(java.lang.String term, int frequency, TermVectorOffsetInfo[] offsets, int[] positions)` Map the Term Vector information into your own structure
    `void` | `setExpectations(java.lang.String field, int numTerms, boolean storeOffsets, boolean storePositions)` Tell the mapper what to expect in regards to field, number of terms, offset and position storage.

    - ### Methods inherited from class org.apache.lucene.index.TermVectorMapper

      `isIgnoringOffsets, isIgnoringPositions, setDocumentNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldSortedTermVectorMapper

          public FieldSortedTermVectorMapper(java.util.Comparator comparator)

      Parameters:
        `comparator` - A Comparator for sorting `TermVectorEntry`s

    - #### FieldSortedTermVectorMapper

          public FieldSortedTermVectorMapper(boolean ignoringPositions,
                                             boolean ignoringOffsets,
                                             java.util.Comparator comparator)

  - ### Method Detail

    - #### map

          public void map(java.lang.String term,
                          int frequency,
                          TermVectorOffsetInfo[] offsets,
                          int[] positions)

      Description copied from class: `TermVectorMapper`
      Map the Term Vector information into your own structure
      Specified by:
        `map` in class `TermVectorMapper`
      Parameters:
        `term` - The term to add to the vector
        `frequency` - The frequency of the term in the document
        `offsets` - null if the offset is not specified, otherwise the offset into the field of the term
        `positions` - null if the position is not specified, otherwise the position in the field of the term

    - #### setExpectations

          public void setExpectations(java.lang.String field,
                                      int numTerms,
                                      boolean storeOffsets,
                                      boolean storePositions)

      Description copied from class: `TermVectorMapper`
      Tell the mapper what to expect in regards to field, number of terms, offset and position storage. This method will be called once before retrieving the vector for a field. This method will be called before `TermVectorMapper.map(String,int,TermVectorOffsetInfo[],int[])`.
      Specified by:
        `setExpectations` in class `TermVectorMapper`
      Parameters:
        `field` - The field the vector is for
        `numTerms` - The number of terms that need to be mapped
        `storeOffsets` - true if the mapper should expect offset information
        `storePositions` - true if the mapper should expect positions info

    - #### getFieldToTerms

          public java.util.Map getFieldToTerms()

      Get the mapping between fields and terms, sorted by the comparator
      Returns:
        A map between field names and `SortedSet`s per field. SortedSet entries are `TermVectorEntry`

    - #### getComparator

          public java.util.Comparator getComparator()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.